#!/bin/sh
if [ ! -x "$(command -v pandoc)" ];
then
    echo "Pandoc is not installed. Install Pandoc."
    exit 1
fi
filename="$1"
pandoc --template=templates/vocabulary.tex --to=latex --no-tex-ligatures -s $filename \
    | sed -e "s@ /\(.\+\)/ \?@ {\\\\phonetic /\1/} @" \
    | sed -e "s@ \\\\textbf@ \\\\headword@" > "${filename%.*}.tex"
latexmk "${filename%.*}.tex"